View Issue Details

IDProjectCategoryView StatusLast Update
0027339LazarusLazReportpublic2015-01-23 16:23
ReporterPéter GáborAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version1.4 
Summary0027339: lazreport: function argument editor is not translatable
Descriptionthe attached patch solves the issue
TagsNo tags attached.
Fixed in Revision47484
LazTarget
Widgetset
Attached Files
  • lr_funct_editor_unit1_translatable.diff (1,561 bytes)
    Index: components/lazreport/source/lr_funct_editor_unit1.pas
    ===================================================================
    --- components/lazreport/source/lr_funct_editor_unit1.pas	(revision 47478)
    +++ components/lazreport/source/lr_funct_editor_unit1.pas	(working copy)
    @@ -6,7 +6,7 @@
     
     uses
       Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
    -  ExtCtrls, LR_Class, EditBtn, Buttons, ButtonPanel;
    +  ExtCtrls, LR_Class, LR_Const, EditBtn, Buttons, ButtonPanel;
     
     type
     
    @@ -28,6 +28,7 @@
         Label5: TLabel;
         Panel1: TPanel;
         procedure BitBtn5Click(Sender: TObject);
    +    procedure FormCreate(Sender: TObject);
       private
         FParCount:integer;
         FD:TfrFunctionDescription;
    @@ -62,7 +63,15 @@
       end;
     end;
     
    +procedure TLR_FunctEditor1Form.FormCreate(Sender: TObject);
    +begin
    +  GroupBox1.Caption := sArguments;
    +  Label3.Caption := sArgument1;
    +  Label4.Caption := sArgument2;
    +  Label5.Caption := sArgument3;
    +end;
     
    +
     procedure TLR_FunctEditor1Form.SetFunctionDescription(AFD: TfrFunctionDescription);
     var
       S, S1:string;
    Index: components/lazreport/source/lr_const.pas
    ===================================================================
    --- components/lazreport/source/lr_const.pas	(revision 47478)
    +++ components/lazreport/source/lr_const.pas	(working copy)
    @@ -803,6 +803,10 @@
     
       sInsertExpression = 'Insert Expression';
       sFunctions = 'Functions';
    +  sArguments = 'Arguments';
    +  sArgument1 = 'Argument 1';
    +  sArgument2 = 'Argument 2';
    +  sArgument3 = 'Argument 3';
     
     const
       frRes = 53000;
    

Activities

Péter Gábor

2015-01-21 12:05

reporter  

lr_funct_editor_unit1_translatable.diff (1,561 bytes)
Index: components/lazreport/source/lr_funct_editor_unit1.pas
===================================================================
--- components/lazreport/source/lr_funct_editor_unit1.pas	(revision 47478)
+++ components/lazreport/source/lr_funct_editor_unit1.pas	(working copy)
@@ -6,7 +6,7 @@
 
 uses
   Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
-  ExtCtrls, LR_Class, EditBtn, Buttons, ButtonPanel;
+  ExtCtrls, LR_Class, LR_Const, EditBtn, Buttons, ButtonPanel;
 
 type
 
@@ -28,6 +28,7 @@
     Label5: TLabel;
     Panel1: TPanel;
     procedure BitBtn5Click(Sender: TObject);
+    procedure FormCreate(Sender: TObject);
   private
     FParCount:integer;
     FD:TfrFunctionDescription;
@@ -62,7 +63,15 @@
   end;
 end;
 
+procedure TLR_FunctEditor1Form.FormCreate(Sender: TObject);
+begin
+  GroupBox1.Caption := sArguments;
+  Label3.Caption := sArgument1;
+  Label4.Caption := sArgument2;
+  Label5.Caption := sArgument3;
+end;
 
+
 procedure TLR_FunctEditor1Form.SetFunctionDescription(AFD: TfrFunctionDescription);
 var
   S, S1:string;
Index: components/lazreport/source/lr_const.pas
===================================================================
--- components/lazreport/source/lr_const.pas	(revision 47478)
+++ components/lazreport/source/lr_const.pas	(working copy)
@@ -803,6 +803,10 @@
 
   sInsertExpression = 'Insert Expression';
   sFunctions = 'Functions';
+  sArguments = 'Arguments';
+  sArgument1 = 'Argument 1';
+  sArgument2 = 'Argument 2';
+  sArgument3 = 'Argument 3';
 
 const
   frRes = 53000;

Maxim Ganetsky

2015-01-22 22:36

developer   ~0080552

Applied with modifications.

Please test and close if OK.

Issue History

Date Modified Username Field Change
2015-01-21 12:05 Péter Gábor New Issue
2015-01-21 12:05 Péter Gábor File Added: lr_funct_editor_unit1_translatable.diff
2015-01-21 18:25 Maxim Ganetsky Assigned To => Maxim Ganetsky
2015-01-21 18:25 Maxim Ganetsky Status new => assigned
2015-01-22 22:36 Maxim Ganetsky Note Added: 0080552
2015-01-22 22:36 Maxim Ganetsky Status assigned => resolved
2015-01-22 22:36 Maxim Ganetsky Fixed in Version => 1.4
2015-01-22 22:36 Maxim Ganetsky Resolution open => fixed
2015-01-22 22:37 Maxim Ganetsky Fixed in Revision => 47484
2015-01-23 16:23 Péter Gábor Status resolved => closed